# class Puppet::Util::RubyGems::Gems18Source

For RubyGems >= 1.8.0 @api private

### Public Instance Methods

directories() click to toggle source

    # File lib/puppet/util/rubygems.rb, line 41
    def directories
      # `require 'mygem'` will consider and potentally load
      # prerelease gems, so we need to match that behavior.
      Gem::Specification.latest_specs(true).collect do |spec|
        File.join(spec.full_gem_path, 'lib')
      end
    end